use crate::name_analysis::symbol::{FunctionSymbol, ParameterSymbol, TypeSymbol};
use crate::name_analysis::symbol_table::{SymbolInsertError, SymbolTable};

pub fn add_std_core_symbols(symbol_table: &mut SymbolTable) -> Result<(), SymbolInsertError> {
    symbol_table.insert_function_symbol(
        FunctionSymbol::new("std::core::println", "println", true, true, None)
            .with_parameters(vec![ParameterSymbol::new("msg", None)]),
    )?;
    symbol_table.insert_function_symbol(
        FunctionSymbol::new("std::core::print", "print", true, true, None)
            .with_parameters(vec![ParameterSymbol::new("msg", None)]),
    )?;
    Ok(())
}
